{% extends 'profile/layouts/admin/admin_layout.html' %}
{% load static %}
{% block css %}

    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/cropper/cropper.min.css' %}">
    <style>
        .crop-preview > canvas {
            width: 100%;
            height: auto;
        }
        .django-ckeditor-widget{
            width: 100% !important;
        }
    </style>

{% endblock css %}

{% block scripts %}
    {% load static %}

    <script type="text/javascript" src="{% static 'ckeditor/ckeditor-init.js' %}"></script>
    <script type="text/javascript" src="{% static 'ckeditor/ckeditor/ckeditor.js' %}"></script>

{% endblock scripts %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_pu' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page"><a href="{% url 'profile:admin_pu' %}">Data Pekerjaan Umum (PU)</a></li>
            <li class="breadcrumb-item active" aria-current="page">Detail Data</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}
    
  
    <div class="row">
        <div class="col-md-12">
            <div class="card border-left-primary shadow h-100 py-2 ">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                            <div class="col-md-8">
                                <h4> Data Pekerjaan Umum Bagian Jalan & Jembatan</h4>
                                <hr>
                                <a href="#" class="btn btn-info btn-icon-split">
                                    <span class="icon text-white-50">
                                        <i class="fas fa-calendar text-white"></i>  
                                    </span>
                                    <span class="text">{{data_detail_pu.tahun}}</span>
                                </a>
                                <a href="#" class="btn btn-info btn-icon-split">
                                    <span class="icon text-white-50">
                                        <i class="fas fa-map-marker-alt text-white"></i>  
                                    </span>
                                    <span class="text">{{data_detail_pu.kampung.distrik.title|upper }} > {{data_detail_pu.kampung.titles|upper }}</span>
                                </a>
                                <a href="#" class="btn btn-info btn-icon-split">
                                    <span class="icon text-white-50">
                                        <i class="fas fa-user-check text-white"></i>  
                                    </span>
                                    <span class="text">{{data_detail_pu.penanggungjawab.nama|upper }}</span>
                                </a>   
                            </div>
                    </div>
                </div>
            </div>
        </div>
    </div>    
    <hr>
    <h4 class="text-center"><i class="fa fa-image"></i> Data Pekerjaan Umum Bagian Jembatan</h4> <br>
    <div class="row">
        <div class="col-md-4">
            <div class="card bg-primary" style="box-shadow: 0 0.15rem 1.75rem 0 rgb(58 59 69 / 56%) !important;">
            <div class="card-header" style="background-color: #dfdd98;">
                <img src="{{ data_detail_pu.foto_jln_beraspal.url }}" alt="" class="img-fluid card-img-top">
            </div>
            <div class="card-body rounded" style="background-color: #2d427f;">
               <div class=" rounded shadow-sm h-100">
                    <div class="img-bagss">
                        <div class="tag-bln text-center text-white"><b>Panjang Jalan Beraspal</b></div>
                            <div class="p-2 text-center text-white">
                                <h3><b>{{ data_detail_pu.jln_beraspal }} Km</b></h3>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="card bg-primary" style="box-shadow: 0 0.15rem 1.75rem 0 rgb(58 59 69 / 56%) !important;">
            <div class="card-header" style="background-color: #dfdd98;">
                <img src="{{ data_detail_pu.foto_jln_hampar.url }}" alt="" class="img-fluid card-img-top">
            </div>
            <div class="card-body rounded" style="background-color: #2d427f;">
               <div class=" rounded shadow-sm h-100">
                    <div class="img-bagss">
                        <div class="tag-bln text-center text-white"><b>Panjang Jalan Hampar</b></div>
                            <div class="p-2 text-center text-white">
                                <h3><b>{{ data_detail_pu.jln_hampar }} Km</b></h3>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="card bg-primary" style="box-shadow: 0 0.15rem 1.75rem 0 rgb(58 59 69 / 56%) !important;">
            <div class="card-header" style="background-color: #dfdd98;">
                <img src="{{ data_detail_pu.foto_jln_rusak.url }}" alt="" class="img-fluid card-img-top">
            </div>
            <div class="card-body rounded" style="background-color: #2d427f;">
               <div class=" rounded shadow-sm h-100">
                    <div class="img-bagss">
                        <div class="tag-bln text-center text-white"><b>Panjang Jalan Rusak</b></div>
                            <div class="p-2 text-center text-white">
                                <h3><b>{{ data_detail_pu.jln_rusak }} Km</b></h3>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
    </div>
    <hr>
    <div class="row">
        <div class=" col-md-2"></div>
        <div class="col-md-4">
            <div class="card bg-primary" style="box-shadow: 0 0.15rem 1.75rem 0 rgb(58 59 69 / 56%) !important;">
            <div class="card-header" style="background-color: #dfdd98;">
                <img src="{{ data_detail_pu.foto_jln_tani.url }}" alt="" class="img-fluid card-img-top">
            </div>
            <div class="card-body rounded" style="background-color: #2d427f;">
               <div class=" rounded shadow-sm h-100">
                    <div class="img-bagss">
                        <div class="tag-bln text-center text-white"><b>Panjang Jalan Tani Beraspal</b></div>
                            <div class="p-2 text-center text-white">
                                <h3><b>{{ data_detail_pu.jln_tani }} Km</b></h3>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4">
                <div class="card bg-primary" style="box-shadow: 0 0.15rem 1.75rem 0 rgb(58 59 69 / 56%) !important;">
                <div class="card-header" style="background-color: #dfdd98;">
                    <img src="{{ data_detail_pu.foto_jln_tani_blm_aspal.url }}" alt="" class="img-fluid card-img-top">
                </div>
                <div class="card-body rounded" style="background-color: #2d427f;">
                   <div class=" rounded shadow-sm h-100">
                        <div class="img-bagss">
                            <div class="tag-bln text-center text-white"><b>Panjang Jalan Tani Belum Beraspal</b></div>
                                <div class="p-2 text-center text-white">
                                    <h3><b>{{ data_detail_pu.jln_tani_blm_aspal }} Km</b></h3>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
        </div>
    </div>
    <br><br><br>
<hr>
<h4 class="text-center"><i class="fa fa-image"></i> Data Pekerjaan Umum Bagian Jembatan</h4>
<br>
<div class="row">
    <div class="col-md-6">
        <div class="card bg-primary" style="box-shadow: 0 0.15rem 1.75rem 0 rgb(58 59 69 / 56%) !important;">
            <div class="card-header" style="background-color: #dfdd98;">
                <img src="{{ data_detail_pu.foto_jmt_beton.url }}" alt="" class="img-fluid card-img-top">
            </div>
            <div class="card-body rounded" style="background-color: #2d427f;">
                <div class=" rounded shadow-sm h-100">
                    <div class="d-flex">
                        <div class="flex-fill">
                            <img src="{{ data_detail_pu.foto_kondisi_jmt.url }}" alt="" class="img-fluid" style="width: 300px;">
                        </div>
                        <div class="flex-fill">
                            <div class="tag-bln text-center text-white"><b>Jumlah Jembatan Beton</b></div>
                            <div class="p-2 text-center text-white">
                                <h3><b>{{ data_detail_pu.jmt_beton }} Km</b></h3>
                                <h1><b>{{ data_detail_pu.kondisi_jmt }} Km</b></h1>
                            </div>
                           
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>  
    <div class="col-md-6">
        <div class="card bg-primary" style="box-shadow: 0 0.15rem 1.75rem 0 rgb(58 59 69 / 56%) !important;">
            <div class="card-header" style="background-color: #dfdd98;">
                <img src="{{ data_detail_pu.foto_jmt_kayu.url }}" alt="" class="img-fluid card-img-top">
            </div>
            <div class="card-body rounded" style="background-color: #2d427f;">
                <div class=" rounded shadow-sm h-100">
                    <div class="d-flex">
                        <div class="flex-fill">
                            <img src="{{ data_detail_pu.foto_kondisi_jmt.url }}" alt="" class="img-fluid" style="width: 300px;">
                        </div>
                        <div class="flex-fill">
                            <div class="tag-bln text-center text-white"><b>Jumlah Jembatan Kayu</b></div>
                            <div class="p-2 text-center text-white">
                                <h3><b>{{ data_detail_pu.jmt_kayu }} Km</b></h3>
                                <h1><b>{{ data_detail_pu.kondisi_jmt_kayu }} Km</b></h1>
                            </div>
                           
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>  
</div>  
   
    
    
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %} 
    <script src="{% static 'admin/js/cropper/cropper.min.js' %}"></script>
    <script src="{% static 'admin/js/cropper/jquery-cropper.min.js' %}"></script>
    <script>
        $( document ).ready(function() {
            $(".modal-close").click(function(){
                $("#id_thumbnail").val(null);
            });

            $("#id_thumbnail").change(function () {
                if (this.files && this.files[0]) {
                    let reader = new FileReader();
                    
                    reader.onload = function (e) {
                        $("#image").attr("src", e.target.result);
                        $("#modalCrop").modal("show");
                    }

                    reader.readAsDataURL(this.files[0]);
                }
            });

            let $image = $("#image");
            let cropBoxData;
            let canvasData;

            $("#modalCrop").on("shown.bs.modal", function () {
                $image.cropper({
                    viewMode: 1,
                    aspectRatio: 4/2,
                    minCropBoxWidth: 200,
                    minCropBoxHeight: 200,
                    ready: function () {
                        $image.cropper("setCanvasData", canvasData);
                        $image.cropper("setCropBoxData", cropBoxData);
                }
            });

            }).on("hidden.bs.modal", function () {
                cropBoxData = $image.cropper("getCropBoxData");
                canvasData = $image.cropper("getCanvasData");
                $image.cropper("destroy");
            });

            // Enable zoom in button
            $(".js-zoom-in").click(function () {
                $image.cropper("zoom", 0.1);
            });

            // Enable zoom out button
            $(".js-zoom-out").click(function () {
                $image.cropper("zoom", -0.1);
            });

            $(".js-crop-and-upload").click(function () {
                var cropData = $image.cropper("getData");
                $("#id_x").val(cropData["x"]);
                $("#id_y").val(cropData["y"]);
                $("#id_height").val(cropData["height"]);
                $("#id_width").val(cropData["width"]);
                $("#modalCrop").modal('hide');
                let data;
                let croppedimage = $image.cropper("getCroppedCanvas")
                $(".crop-preview").html(croppedimage);
                $("#old-image").addClass('d-none');
                $("#old-image").hide();
            });
        });
    </script>
{% endblock scripts_bawah %}